
import 'dart:developer';

import 'package:shared_preferences/shared_preferences.dart';

import '../incomingPacket.dart';

class AuthenticatePacket extends IncomingPacket {
  AuthenticatePacket() : super("authenticate");

  @override
  void handle(data) {
    SharedPreferences.getInstance().then((value) => {
      invoke(data: {
        'username': value.getString("username"),
        'password': value.getString("password")
      })
    });
  }
}