
import '../incomingPacket.dart';

class TalkMessage {
  bool self;
  String sender;
  String content;
  String date;

  TalkMessage(this.self, this.sender, this.content, this.date);
}

class TalkChatPacket extends IncomingPacket {
  TalkChatPacket() : super("talkChat");

  List<TalkMessage> _messages = List<TalkMessage>.empty(growable: true);
  List<TalkMessage> get messages => _messages;

  @override
  void handle(data) {
    _messages = List<TalkMessage>.empty(growable: true);
    print(data);
    data.forEach((message) => {
      _messages.add(TalkMessage(true, message['actorId'], message['message'], message['timestamp']))
    });
  }
}